# This is the CRAN name
%global packname yaml
# This is the main package version
%global packver 2.1.13

Name:             R-%{packname}
Version:          %{packver}
Release:          1%{?dist}
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
License:          BSD 3 clause + file LICENSE
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Group:            Applications/Engineering
Summary:          Methods to convert R data to YAML and back
BuildRequires:    R-devel >= 3.0.0
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:         R-core >= 3.0.0


%description
This package implements the libyaml YAML 1.1 parser and emitter (http://pyyaml.org/wiki/LibYAML) for R.

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)

%check
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/CHANGELOG
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/LICENSE
%doc %{_libdir}/R/library/%{packname}/THANKS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/libs
%{_libdir}/R/library/%{packname}/tests
%{_libdir}/R/library/%{packname}/implicit.re

%changelog
* Fri Jul 11 2014 Josko Plazonic <plazonic@princeton.edu> 2.1.13-1
- initial build
